package cn.reghao.bnt.web.devops.app.service;

import cn.reghao.bnt.common.agent.app.dto.AppInfo;
import cn.reghao.bnt.common.msg.constant.AppStatOps;

import java.util.List;

/**
 * 应用运行状态管理
 *
 * @author reghao
 * @date 2019-11-27 11:30:28
 */
public interface AppRunService {
    void changeStatus(String appId, String machineId, AppStatOps appStatOps) throws Exception;
    void getStatus(String appId, String machineId);
    void getStat(String machineId, List<AppInfo> appInfos);
}
